Project

General

Profile

Bug #8838

PHP warning when creating an OpenVPN client with invalid setting

Added by James Dekker over 1 year ago. Updated over 1 year ago.

Status:
Resolved
Priority:
Normal
Assignee:
Category:
Web Interface
Target version:
Start date:
08/26/2018
Due date:
% Done:

100%

Estimated time:
Affected Version:
2.4.4
Affected Architecture:

Description

On a recent 2.4.4 snapshot visit VPN > OpenVPN > Client > Add, change Server mode to "Peer to Peer ( Shared Key )" and click Save.

Upon clicking save the following PHP error will be shown:

Warning: count(): Parameter must be an array or an object that implements Countable in /usr/local/www/guiconfig.inc on line 260 

Associated revisions

History

#1 Updated by James Dekker over 1 year ago

  • Subject changed from PHP warning when creating an OpenVPN client with multiple invalid settings to PHP warning when creating an OpenVPN client with invalid setting

#2 Updated by Steve Beaver over 1 year ago

  • Category set to Web Interface
  • Status changed from New to Feedback
  • Assignee set to Steve Beaver

#3 Updated by Steve Beaver over 1 year ago

  • % Done changed from 0 to 100

#4 Updated by James Dekker over 1 year ago

On 2.4.4.a.20180827.1735, cannot reproduce.

#5 Updated by James Dekker over 1 year ago

  • Status changed from Feedback to Resolved

Also available in: Atom PDF